
Smart Proxy - Refactor #6473

Test 1.5 to 1.6 upgrade path

07/02/2014 10:33 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm a bit concerned about the 1.5 to 1.6 upgrade path with the config file migrations during package (RPM & deb) upgrades, as we've

had a few reports of it not working.  I would like this to go through more testing before 1.6.0-RC1.

Please check a variety of configurations:

- stock config file

- puppet master config

- all enabled config

Related issues:

Blocked by Packaging - Bug #6660: proxy rpm upgrade from 1.5 - 1.6 nightly do... Closed 07/17/2014

History

#1 - 07/21/2014 04:24 AM - Dominic Cleal

- Blocked by Bug #6660: proxy rpm upgrade from 1.5 - 1.6 nightly does not upgrade cleanly added

#2 - 08/11/2014 10:35 AM - Dominic Cleal

- Status changed from New to Resolved

Success.

#3 - 08/21/2014 08:01 AM - Dominic Cleal

- Assignee set to Dominic Cleal

- Target version set to 1.7.5
